Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface DesktopDefinitionControl

    public interface DesktopDefinitionControl

A custom control interface used to interact with DesktopDefinitions.

Method Summary
`DesktopDefinition` | `createDesktopDefinition(String desktopName, String desktopDescription, ShellDefinitionId shellId, LookAndFeelDefinitionId lafId, BookDefinitionId bookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Creates a new desktop defintion.
`DesktopDefinition` | `createDesktopFromPortalFile(String portalTemplatePath, String desktopTitle, String desktopDescription, String webApp, PortalPath portalPath, DesktopPath desktopPath, int disassemblerAction, ResourceContext context)` Creates a desktop from a portal file
`DesktopDefinition` | `createDesktopFromTemplate(TemplateId id, PortalPath portalPath, DesktopPath desktopPath, String title, String description, ResourceContext context)` Creates a desktop from the specified template
`DesktopDefinition` | `createDesktopTemplate(String desktopName, String desktopDescription, ShellDefinitionId shellId, LookAndFeelDefinitionId lafId, BookDefinitionId bookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, boolean global, ResourceContext context)` Creates a new desktop template.
`DesktopDefinition` | `createDesktopTemplateFromPortalFile(String portalTemplatePath, String desktopTitle, String desktopDescription, String webApp, PortalPath portalPath, DesktopPath desktopPath, int disassemblerAction, boolean global, ResourceContext context)` Creates a desktop template from a portal file
`void` | `deleteDesktopDefinition(String webApp, PortalPath portalPath, DesktopPath desktopPath, boolean cascadeDelete, ResourceContext context)` Deletes a desktop definition object
`DesktopDefinition` | `getDesktopDefinition(DesktopDefinitionId desktopDefId, ResourceContext context)` Gets the DesktopDefinition for the specified ID.
`DesktopDefinition` | `getDesktopDefinition(String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Gets a mutable DesktopDefinition object.
`SortableFilterablePagedResult<DesktopDefinition>` | `getDesktopDefinitions(int pageSize, DesktopSearchCriteria criteria, ResourceContext context)` Gets all the desktop defintions scoped to the specified webapp and portal.
`DesktopView` | `getDesktopView(String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Gets a desktop view scoped to the web app.
`DesktopView` | `getDesktopViewFromPortalFile(String webApp, String path, ResourceContext context)` Gets a desktop view from a portal file.
`void` | `updateDesktopDefinition(DesktopDefinition desktopDef, ResourceContext context)` Update a desktop definition.
`void` | `updateLookAndFeelInDesktopDefinition(LookAndFeelDefinitionId lafId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Updates the the look and feel for a desktop definiton.
`void` | `updatePrimaryBookInDesktopDefinition(BookDefinitionId bookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Updates the primary book definition associated with a desktop.
`void` | `updateShellInDesktopDefinition(ShellDefinitionId shellId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Update the shell for the desktop.
`void` | `updateTreeOptimization(boolean opt, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Updates the tree optization attribute for the desktop

Method Detail

### getDesktopView

    DesktopView getDesktopView(String webApp,
                               PortalPath portalPath,
                               DesktopPath desktopPath,
                               ResourceContext context)
                               throws ToolsException

  Gets a desktop view scoped to the web app. This contains an immutable view of all child resources.

  Parameters
    `webApp` - the web application name
    `portalPath` - The path to the portal containg this desktop.
    `desktopPath` - The path to the desktop
    `context` - the resource context
  Returns
    A DesktopView
  Throws
    `ToolsException`

### getDesktopDefinition

    DesktopDefinition getDesktopDefinition(String webApp,
                                           PortalPath portalPath,
                                           DesktopPath desktopPath,
                                           ResourceContext context)
                                           throws ToolsException

  Gets a mutable DesktopDefinition object.

  Parameters
    `webApp` - the web application name
    `portalPath` - The path to portal.
    `desktopPath` - The path of the desktop.
    `context` - the resource context
  Returns
    A desktop definition object
  Throws
    `ToolsException`

### getDesktopDefinition

    DesktopDefinition getDesktopDefinition(DesktopDefinitionId desktopDefId,
                                           ResourceContext context)
                                           throws ToolsException

  Gets the DesktopDefinition for the specified ID.

  Parameters
    `desktopDefId` -
    `context` - a resource context
  Returns
    A specified desktop definition
  Throws
    `ToolsException`

### getDesktopDefinitions

    SortableFilterablePagedResult<DesktopDefinition> getDesktopDefinitions(int pageSize,
                                                                           DesktopSearchCriteria criteria,
                                                                           ResourceContext context)
                                                                           throws ToolsException

  Gets all the desktop defintions scoped to the specified webapp and portal.

  Parameters
    `pageSize` - The pagesize of the returned PagedResult.
    `criteria` - the criteria for the search, including webapp and portal path
    `context` - the resource context
  Returns
    The PagedResult object.
  Throws
    `ToolsException`

### updateTreeOptimization

    void updateTreeOptimization(boolean opt,
                                String webApp,
                                PortalPath portalPath,
                                DesktopPath desktopPath,
                                ResourceContext context)
                                throws ToolsException,
                                       NotEntitledException,
                                       ObjectNotFoundException

  Updates the tree optization attribute for the desktop

  Parameters
    `opt` - true eneables optimizations.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### deleteDesktopDefinition

    void deleteDesktopDefinition(String webApp,
                                 PortalPath portalPath,
                                 DesktopPath desktopPath,
                                 boolean cascadeDelete,
                                 ResourceContext context)
                                 throws ToolsException,
                                        ObjectInUseException,
                                        NotEntitledException,
                                        ObjectNotFoundException

  Deletes a desktop definition object

  Parameters
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `cascadeDelete` - True to perform a cascade delete.
    `context` - the resource context
  Throws
    `ToolsException`
    `ObjectInUseException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updateShellInDesktopDefinition

    void updateShellInDesktopDefinition(ShellDefinitionId shellId,
                                        String webApp,
                                        PortalPath portalPath,
                                        DesktopPath desktopPath,
                                        ResourceContext context)
                                        throws ToolsException,
                                               NotEntitledException,
                                               ObjectNotFoundException

  Update the shell for the desktop.

  Parameters
    `shellId` - The id of the shell definition.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updateLookAndFeelInDesktopDefinition

    void updateLookAndFeelInDesktopDefinition(LookAndFeelDefinitionId lafId,
                                              String webApp,
                                              PortalPath portalPath,
                                              DesktopPath desktopPath,
                                              ResourceContext context)
                                              throws ToolsException,
                                                     NotEntitledException,
                                                     ObjectNotFoundException

  Updates the the look and feel for a desktop definiton.

  Parameters
    `lafId` - The look and feel id for the desktop.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePrimaryBookInDesktopDefinition

    void updatePrimaryBookInDesktopDefinition(BookDefinitionId bookId,
                                              String webApp,
                                              PortalPath portalPath,
                                              DesktopPath desktopPath,
                                              ResourceContext context)
                                              throws ToolsException,
                                                     NotEntitledException,
                                                     ObjectNotFoundException

  Updates the primary book definition associated with a desktop.

  Parameters
    `bookId` - The book definition id.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updateDesktopDefinition

    void updateDesktopDefinition(DesktopDefinition desktopDef,
                                 ResourceContext context)
                                 throws ToolsException,
                                        NotEntitledException,
                                        ObjectNotFoundException

  Update a desktop definition.

  Parameters
    `desktopDef` - The desktop definition to update.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### createDesktopDefinition

    DesktopDefinition createDesktopDefinition(String desktopName,
                                              String desktopDescription,
                                              ShellDefinitionId shellId,
                                              LookAndFeelDefinitionId lafId,
                                              BookDefinitionId bookId,
                                              String webApp,
                                              PortalPath portalPath,
                                              DesktopPath desktopPath,
                                              ResourceContext context)
                                              throws ToolsException,
                                                     DuplicateObjectException,
                                                     NotEntitledException,
                                                     MissingDataException,
                                                     ObjectNotFoundException

  Creates a new desktop defintion.

  Parameters
    `desktopName` - The desktop name.
    `desktopDescription` - The description of the desktop.
    `shellId` - The id of the shell definition.
    `lafId` - The id of the look and feel.
    `bookId` - The id of the primary book.
    `webApp` - The webapp scope.
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Returns
    the created DesktopDefinition object.
  Throws
    `ToolsException`
    `DuplicateObjectException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`

### createDesktopTemplate

    DesktopDefinition createDesktopTemplate(String desktopName,
                                            String desktopDescription,
                                            ShellDefinitionId shellId,
                                            LookAndFeelDefinitionId lafId,
                                            BookDefinitionId bookId,
                                            String webApp,
                                            PortalPath portalPath,
                                            DesktopPath desktopPath,
                                            boolean global,
                                            ResourceContext context)
                                            throws ToolsException,
                                                   DuplicateObjectException,
                                                   NotEntitledException,
                                                   MissingDataException,
                                                   ObjectNotFoundException

  Creates a new desktop template.

  Parameters
    `desktopName` - The desktop name.
    `desktopDescription` - The description of the desktop.
    `shellId` - The id of the shell definition.
    `lafId` - The id of the look and feel.
    `bookId` - The id of the primary book.
    `webApp` - The webapp scope.
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `global` - does this template appear in the library
    `context` - the resource context
  Returns
    the created DesktopDefinition object.
  Throws
    `ToolsException`
    `DuplicateObjectException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`

### createDesktopFromTemplate

    DesktopDefinition createDesktopFromTemplate(TemplateId id,
                                                PortalPath portalPath,
                                                DesktopPath desktopPath,
                                                String title,
                                                String description,
                                                ResourceContext context)
                                                throws ToolsException,
                                                       DuplicateObjectException,
                                                       NotEntitledException,
                                                       MissingDataException,
                                                       ObjectNotFoundException

  Creates a desktop from the specified template

  Parameters
    `id` - the ID of the template to create the desktop from.
    `portalPath` - the portal path for the new desktop
    `desktopPath` - the desktop path for the new desktop
    `title` - the title of the new desktop
    `description` - the description of the new desktop
    `context` - the resource context
  Returns
  Throws
    `DuplicateObjectException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`
    `ToolsException`

### getDesktopViewFromPortalFile

    DesktopView getDesktopViewFromPortalFile(String webApp,
                                             String path,
                                             ResourceContext context)
                                             throws IOException,
                                                    XmlDisassemblerException,
                                                    FileNotFoundException,
                                                    ToolsException

  Gets a desktop view from a portal file.

  Parameters
    `webApp` - the portal file resides in.
    `path` - the portal file.
    `context` - the resource context
  Returns
  Throws
    `IOException`
    `XmlDisassemblerException`
    `FileNotFoundException`
    `ToolsException`

### createDesktopFromPortalFile

    DesktopDefinition createDesktopFromPortalFile(String portalTemplatePath,
                                                  String desktopTitle,
                                                  String desktopDescription,
                                                  String webApp,
                                                  PortalPath portalPath,
                                                  DesktopPath desktopPath,
                                                  int disassemblerAction,
                                                  ResourceContext context)
                                                  throws IOException,
                                                         ToolsException,
                                                         DuplicateObjectException,
                                                         DuplicateDefinitionException,
                                                         NotEntitledException,
                                                         MissingDataException,
                                                         ObjectNotFoundException,
                                                         XmlDisassemblerException,
                                                         ViewDisassemblerException

  Creates a desktop from a portal file

  Parameters
    `portalTemplatePath` - the portal file to create a desktop from
    `desktopTitle` - the title of the new desktop
    `desktopDescription` - the description of the new desktop
    `webApp` - the web application name
    `portalPath` - the portal path for the new desktop
    `desktopPath` - the desktop path for the new desktop
    `disassemblerAction` -
    `context` - the resource context
  Returns
  Throws
    `IOException`
    `DuplicateObjectException`
    `DuplicateDefinitionException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`
    `XmlDisassemblerException`
    `ViewDisassemblerException`
    `ToolsException`

### createDesktopTemplateFromPortalFile

    DesktopDefinition createDesktopTemplateFromPortalFile(String portalTemplatePath,
                                                          String desktopTitle,
                                                          String desktopDescription,
                                                          String webApp,
                                                          PortalPath portalPath,
                                                          DesktopPath desktopPath,
                                                          int disassemblerAction,
                                                          boolean global,
                                                          ResourceContext context)
                                                          throws IOException,
                                                                 ToolsException,
                                                                 DuplicateObjectException,
                                                                 DuplicateDefinitionException,
                                                                 NotEntitledException,
                                                                 MissingDataException,
                                                                 ObjectNotFoundException,
                                                                 XmlDisassemblerException,
                                                                 ViewDisassemblerException

  Creates a desktop template from a portal file

  Parameters
    `portalTemplatePath` - the portal file to create a desktop template from
    `desktopTitle` - the title of the new desktop
    `desktopDescription` - the description of the new desktop
    `webApp` - the web application name
    `portalPath` - the portal path for the new desktop
    `desktopPath` - the desktop path for the new desktop
    `disassemblerAction` -
    `global` - does this template reside in the library
    `context` - the resource context
  Returns
  Throws
    `IOException`
    `DuplicateObjectException`
    `DuplicateDefinitionException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`
    `XmlDisassemblerException`
    `ViewDisassemblerException`
    `ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved